
%define	module	json-py

Summary:	JSON implementation
Summary(pl.UTF-8):	Rozszerzenie json-py do unittest
Name:		python-json-py
Version:	3.4
Release:	7
License:	GPL
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/json-py/json-py-3_4.zip
# Source0-md5:	921ebfede886a10ff32d6d4b4e216f8f
URL:		http://json-py.sourceforge.net/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
json.py is an implementation of a JSON (http://json.org/) reader and
writer in Python.

%description -l pl.UTF-8
json.py to implementacja odczytu i zapisu JSON (http://json.org/) w
Pythonie.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/json_py-%{version}-py%{py_ver}.egg-info

install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

echo 'Metadata-Version: 1.0
Name: %{module}
Version: %{version}
Summary: %{summary}
Home-page: %{url}
License: %{license}' > $RPM_BUILD_ROOT%{py_sitescriptdir}/json_py-%{version}-py%{py_ver}.egg-info/PKG-INFO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/json_py*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-json-py.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6e0c519
- release 7 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da97bd0
- release 6

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 3404150
- BR: python-modules, rpm-pythonprov

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 85f04e7
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fb1d69
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a1f97ee
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a8e0070
- converted to UTF-8

* Sat Sep 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8443400
- rel .3

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 7a48484
- unify sourceforge url

* Sat Dec 24 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d39c60
- rebuild

* Sat Dec 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 075c336
- pl desc

* Tue Dec 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> fe705c2
- add workaround for egg requiring software

* Tue Dec 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 8447768
- new

